﻿__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create log folders"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating log folder %s failed" %folder)

    def createRuntime(self):
        self.createFolderIfNotExisting(self.cfg['ELASTICSEARCH_LOG_DIR'])
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['ELASTICSEARCH_USER'], self.cfg['ELASTICSEARCH_GROUP'], self.cfg['ELASTICSEARCH_LOG_DIR']), self.log)
