_copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."                                                                       
 
from app.scripts import BaseCreateRuntimeScript
from app.linuxservice import ServiceManager

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Disable elasticsearch systemd/init.d service"

    def createRuntime(self):

        service = ServiceManager.getService("elasticsearch", self.log)
        if service.isEnabled():
            service.disable()
