﻿__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create elasticsearch jvm configuration"

    def createRuntime(self):
        app.batch.ConfigBatch(self.log) \
            .addFolder(os.path.join(app.defaults.DEFAULT_SERVICE_DIR, 'codesearch-elasticsearch', 'conf-snippets', 'elasticsearch-jvm.conf.d')) \
            .evaluateIntoFile("/etc/elasticsearch/jvm.options")
